package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_CRAWLER", schema = "public")
public class MetaCrawler {

  @Id
  private Short id;

  @ManyToOne
  @JoinColumn(name = "META_CRAWLER_CONTAINER_ID", nullable = false)
  private MetaCrawlerContainer metaCrawlerContainer;

  @Column(name = "KEY", nullable = true, length = 50)
  private String key;

  @Column(name = "NAME", nullable = true, length = 50)
  private String name;

  @Basic
  @Column(name = "IS_DEFAULT", nullable = false, columnDefinition = "Boolean default false")
  private Boolean isDefault;

  @Temporal(TemporalType.TIMESTAMP)
  @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
  private Date createDate;


  public Short getId() {
    return id;
  }

  public void setId(Short id) {
    this.id = id;
  }

  public MetaCrawlerContainer getMetaCrawlerContainer() {
    return metaCrawlerContainer;
  }

  public void setMetaCrawlerContainer(MetaCrawlerContainer metaCrawlerContainer) {
    this.metaCrawlerContainer = metaCrawlerContainer;
  }

  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Boolean getDefault() {
    return isDefault;
  }

  public void setDefault(Boolean aDefault) {
    isDefault = aDefault;
  }

  public Date getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Date createDate) {
    this.createDate = createDate;
  }
}
