package com.loafle.overflow.service.central.meta;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaDisplayItemMapping;

import java.util.List;

/**
 * Created by snoop on 18. 4. 24.
 */
public interface MetaDisplayItemMappingService {
  @WebappAPI
  MetaDisplayItemMapping regist(MetaDisplayItemMapping metaDisplayItemMapping) throws OverflowException;

  @WebappAPI
  List<MetaDisplayItemMapping> readAllByMetaDisplayItemID(Long metaDisplayItemID) throws OverflowException;

  @WebappAPI
  List<MetaDisplayItemMapping> readAllByMetaCrawlerMappingID(Long metaCrawlerMappingID) throws OverflowException;

  @WebappAPI
  MetaDisplayItemMapping read(Long ID) throws OverflowException;
  
  @WebappAPI
  List<MetaDisplayItemMapping> readAll() throws OverflowException;
}
