package com.loafle.overflow.service.central.target;

import java.util.List;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.target.Target;

/**
 * Created by insanity on 17. 6. 28.
 */
public interface TargetService {

  Target regist(Target target, Long probeID) throws OverflowException;

  @WebappAPI
  List<Target> registAll(List<Long> infraIDs, Long probeID) throws OverflowException;

  @WebappAPI
  void remove(Long id, Long probeID) throws OverflowException;

  @WebappAPI
  Target read(Long id) throws OverflowException;

  @WebappAPI
  Target modify(Target target) throws OverflowException;

  @WebappAPI
  List<Target> readAllByProbeID(Long probeID) throws OverflowException;

  Target increaseSensorCount(Long id) throws OverflowException;

  Target decreaseSensorCount(Long id) throws OverflowException;

}
