package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "META_CRAWLER_CONTAINER", schema = "public")
public class MetaCrawlerContainer {
  @Id
  private Short id;

  @Column(name = "KEY", nullable = true, length = 50)
  private String key;

  @Column(name = "NAME", nullable = true, length = 50)
  private String name;

  @Temporal(TemporalType.TIMESTAMP)
  @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
  private Date createDate;

  public Short getId() {
    return id;
  }

  public void setId(Short id) {
    this.id = id;
  }

  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Date createDate) {
    this.createDate = createDate;
  }
}
