package com.loafle.overflow.service.central.meta;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCollectionItemMapping;

import java.util.List;

public interface MetaCollectionItemMappingService {

  @WebappAPI
  List<MetaCollectionItemMapping> readAll() throws OverflowException;

  @WebappAPI
  List<MetaCollectionItemMapping> readAllByMetaDisplayItemMappingID(Long metaDisplayItemMappingID) throws OverflowException;

  @WebappAPI
  List<MetaCollectionItemMapping> readAllByMetaCollectionItemID(Long metaCollectionItemID) throws OverflowException;
}
