package com.loafle.overflow.service.central.sensor;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.sensor.SensorItem;

import java.util.List;

/**
 * Created by insanity on 17. 6. 28.
 */
public interface SensorItemService {

  @WebappAPI
  SensorItem read(Long id) throws OverflowException;

  @WebappAPI
  List<SensorItem> readAllBySensorID(Long sensorID) throws OverflowException;

  @WebappAPI
  void remove(Long sensorItemID) throws OverflowException;

}
